DRACUT.CONF(5)
==============
:doctype: manpage
:man source:   dracut
:man manual:   dracut

NAME
----
dracut.conf - configuration file(s) for dracut

SYNOPSIS
--------
_/etc/dracut.conf_ _/etc/dracut.conf.d/*.conf_

Description
-----------
_dracut.conf_ is loaded during the initialisation phase of dracut. Command line
parameter will overwrite any values set here. _dracut.conf.d/*.conf_ files are
read in alphanumerical order and will overwrite parameters set in
_/etc/dracut.conf_. Each line specifies an attribute and a value. A '#'
indicates the beginning of a comment; following characters, up to the end of the
line are not interpreted.

*dracutmodules+=*" __<dracut modules>__ "::
    Specify a space-separated list of dracut modules to call when building the
    initramfs. Modules are located in _/usr/lib/dracut/modules.d_.

*omit_dracutmodules+=*" __<dracut modules>__ "::
    Omit a space-separated list of dracut modules.

*add_dracutmodules+=*" __<dracut modules>__ "::
    Add a space-separated list of dracut modules.

*drivers+=*" __<kernel modules>__ "::
    Specify a space-separated list of kernel modules to exclusively include in
    the initramfs. The kernel modules have to be specified without the ".ko"
    suffix.

*add_drivers+=*" __<kernel modules>__ "::
    Specify a space-separated list of kernel modules to add to the initramfs.
    The kernel modules have to be specified without the ".ko" suffix.

*omit_drivers+=*" __<kernel modules>__ "::
    Specify a space-separated list of kernel modules not to add to the
    initramfs. The kernel modules have to be specified without the ".ko" suffix.

*install_items+=*" __<kernel modules>__ "::
    Specify a space-separated list of files, which are added to the initramfs
    image.

*filesystems+=*" __<filesystem names>__ "::
    Specify a space-separated list of kernel filesystem modules to exclusively
    include in the generic initramfs.

*drivers_dir=*"__<kernel modules directory>__"::
    Specify the directory, where to look for kernel modules

*fw_dir+=*" :__<dir>__[:__<dir>__ ...] "::
    Specify additional directories, where to look for firmwares, separated by :

*install_items+=*" __<file>__[ __<file>__ ...] "::
    Specify additional files to include in the initramfs, separated by spaces.

*do_strip=*"__{yes|no}__"::
    Strip binaries in the initramfs (default=yes)

*hostonly=*"__{yes|no}__"::
    Host-Only mode: Install only what is needed for booting the local host instead of a generic host.

*tmpdir=*"__<temporary directory>__"::
    Specify temporary directory to use.

[WARNING]
====
If chrooted to another root other than the real root device, use --fstab and provide a valid _/etc/fstab_.
====

*use_fstab=*"__{yes|no}__"::
    Use _/etc/fstab_ instead of _/proc/self/mountinfo_.

*add_fstab+=*" __<filename>__ "::
    Add entries of __<filename>__ to the initramfs /etc/fstab.

*mdadmconf=*"__{yes|no}__"::
    Include local _/etc/mdadm.conf_ (default=yes)

*lvmconf=*"__{yes|no}__"::
    Include local _/etc/lvm/lvm.conf_ (default=yes)

*fscks=*" __<fsck tools>__ "::
    Add a space-separated list of fsck tools. If nothing is specified, the
    default is: "umount mount /sbin/fsck* xfs_db xfs_check xfs_repair e2fsck
    jfs_fsck reiserfsck btrfsck". The installation is opportunistic
    (non-existing tools are ignored).

*nofscks=*"__{yes|no}__"::
    If specified, inhibit installation of any fsck tools.

*kernel_only=*"__{yes|no}__"::
    Only install kernel drivers and firmware files. (default=no)

*no_kernel=*"{yes|no}"::
    Do not install kernel drivers and firmware files (default=no)

*stdloglvl*="__\{0-6\}__"::
    Set logging to standard error level.

*sysloglvl*="__\{0-6\}__"::
    Set logging to syslog level.

*fileloglvl=*"__\{0-6\}__"::
    Set logging to file level.

*logfile=*"__<file>__"::
    Path to log file.

*show_modules=*"__{yes|no}__"::
    Print included module's name to standard output during build.

Files
-----
_/etc/dracut.conf_::
    Old configuration file. You better use your own file in
    _/etc/dracut/conf.d/_.

_/etc/dracut/conf.d/_::
    Any _/etc/dracut/conf.d/*.conf_ file can overwrite the values in
    _/etc/dracut.conf_. The configuration files are read in alphanumerical
    order.

AUTHOR
------
Harald Hoyer

See Also
--------
*dracut*(8) *dracut.cmdline*(7)

